Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class SpringLobHandlerDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.SpringLobHandlerDetectorFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class SpringLobHandlerDetectorFactoryBean
    extends java.lang.Object

Attempts to auto-detect the LobHandler to use from the db meta data.

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`void` | `afterPropertiesSet()`
`org.springframework.jdbc.support.lob.LobHandler` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setDataSource(javax.sql.DataSource dataSource)`
`void` | `setNativeJdbcExtractor(org.springframework.jdbc.support.nativejdbc.NativeJdbcExtractor nativeJdbcExtractor)`
`void` | `setPooledConnection(boolean pooledConnection)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public org.springframework.jdbc.support.lob.LobHandler getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)

### setNativeJdbcExtractor

    public void setNativeJdbcExtractor(org.springframework.jdbc.support.nativejdbc.NativeJdbcExtractor nativeJdbcExtractor)

### setPooledConnection

    public void setPooledConnection(boolean pooledConnection)

Groovy Documentation